#!/usr/bin/env ruby
# coding: utf-8
Encoding.default_external = 'utf-8'	# UTF-8のCSVファイルを読むため
require 'cgi'
require 'csv'
c = CGI.new(:accept_charset => "UTF-8")

#データベース読み取り処理は全く同じ
csv = CSV.read("cgomi.csv", {:headers => true}) # csvファイルを読んでcsv変数に格納
db  = csv		# あとで全データを使う場合にそなえcsv変数は温存

# 検索パターンはHTMLフォームへの入力値を取得する
# id = c["num"]
 trash = c["gomi"]
# syori = c["bunbetu"]
# method = c["houhou"]

# if id > ""			
#   ptn = Regexp.new(id)
#   db = db.select {|row| ptn =~ row["番号"]}
# end

if trash > "" 			
  ptn = Regexp.new(trash)
  db = db.select {|row|
    ptn =~ row["品名"]}
end

# if syori > ""		  
#   ptn = Regexp.new(syori)
#   db = db.select {|row| ptn =~ row["ごみ区分"]}
# end
# if method > ""		
#   ptn = Regexp.new(method)
#   db = db.select {|row| ptn =~ row["備考"]}
# end

print("Content-type: text/html; charset=utf-8
<!DOCTYPE html>
<html>
<head><title>検索結果</title>
</head>
<body>
")
db.each {|row|
  printf(" <br>ID :  「%s」<br> 品名 :   「%s」<br>ごみ区分 : 「%s」 <br> <br> 備考 : %s<br>-------------------------------------------------------------------------------",row["ID"],row["品名"], row["ごみ区分"],row["備考"])}
puts("
 </body>
</html>")
         
